Get your report
curl --request GET \
--url https://api.staging.paywire.xyz/payments/merchants/me/reports \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.paywire.xyz/payments/merchants/me/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/payments/merchants/me/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/payments/merchants/me/reports");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"from": "2023-12-25",
"to": "2023-12-25",
"currency": "<string>",
"totals": {
"orders": 123,
"paid": 123,
"open": 123,
"failed": 123,
"volume": 123
},
"daily": [
{
"date": "2023-12-25",
"orders": 123,
"paid": 123,
"volume": 123
}
],
"byGateway": [
{
"key": "<string>",
"label": "<string>",
"orders": 123,
"paid": 123,
"volume": 123
}
],
"byAsset": [
{
"key": "<string>",
"label": "<string>",
"orders": 123,
"paid": 123,
"volume": 123
}
],
"byStatus": [
{
"key": "<string>",
"label": "<string>",
"orders": 123,
"paid": 123,
"volume": 123
}
]
}Orders
Get your report
Totals, a daily series and breakdowns by asset and status for your gateway over a date range.
GET
/
payments
/
merchants
/
me
/
reports
Get your report
curl --request GET \
--url https://api.staging.paywire.xyz/payments/merchants/me/reports \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.staging.paywire.xyz/payments/merchants/me/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.staging.paywire.xyz/payments/merchants/me/reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.staging.paywire.xyz/payments/merchants/me/reports");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);
{
"from": "2023-12-25",
"to": "2023-12-25",
"currency": "<string>",
"totals": {
"orders": 123,
"paid": 123,
"open": 123,
"failed": 123,
"volume": 123
},
"daily": [
{
"date": "2023-12-25",
"orders": 123,
"paid": 123,
"volume": 123
}
],
"byGateway": [
{
"key": "<string>",
"label": "<string>",
"orders": 123,
"paid": 123,
"volume": 123
}
],
"byAsset": [
{
"key": "<string>",
"label": "<string>",
"orders": 123,
"paid": 123,
"volume": 123
}
],
"byStatus": [
{
"key": "<string>",
"label": "<string>",
"orders": 123,
"paid": 123,
"volume": 123
}
]
}Authorizations
Your gateway's API key (w3g_...).
Query Parameters
UTC date, inclusive.
UTC date, inclusive.
Response
The report.
Volume is the fiat value of paid orders (Settled or Overpaid) in the report currency.